Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Scheduled monthly dependency update for March #26

Merged
merged 1 commit into from Mar 3, 2021

Conversation

pyup-bot
Copy link
Collaborator

@pyup-bot pyup-bot commented Mar 1, 2021

Update aiohttp from 3.7.3 to 3.7.4.

Changelog

3.7.4

==================

Bugfixes
--------

- **(SECURITY BUG)** Started preventing open redirects in the
``aiohttp.web.normalize_path_middleware`` middleware. For
more details, see
https://github.com/aio-libs/aiohttp/security/advisories/GHSA-v6wp-4m6f-gcjg.

Thanks to `Beast Glatisant <https://github.com/g147>`__ for
finding the first instance of this issue and `Jelmer Vernooij
<https://jelmer.uk/>`__ for reporting and tracking it down
in aiohttp.
`5497 <https://github.com/aio-libs/aiohttp/issues/5497>`_
- Fix interpretation difference of the pure-Python and the Cython-based
HTTP parsers construct a ``yarl.URL`` object for HTTP request-target.

Before this fix, the Python parser would turn the URI's absolute-path
for ``//some-path`` into ``/`` while the Cython code preserved it as
``//some-path``. Now, both do the latter.
`5498 <https://github.com/aio-libs/aiohttp/issues/5498>`_


----
Links

Update botocore from 1.19.63 to 1.20.17.

Changelog

1.20.17

=======

* api-change:``s3``: Update s3 client to latest version
* api-change:``sso-admin``: Update sso-admin client to latest version
* api-change:``eks``: Update eks client to latest version
* api-change:``emr``: Update emr client to latest version

1.20.16

=======

* api-change:``databrew``: Update databrew client to latest version
* api-change:``detective``: Update detective client to latest version
* api-change:``lightsail``: Update lightsail client to latest version
* api-change:``imagebuilder``: Update imagebuilder client to latest version
* api-change:``transfer``: Update transfer client to latest version

1.20.15

=======

* api-change:``es``: Update es client to latest version
* api-change:``mediapackage-vod``: Update mediapackage-vod client to latest version
* api-change:``appflow``: Update appflow client to latest version
* api-change:``ecr-public``: Update ecr-public client to latest version
* api-change:``compute-optimizer``: Update compute-optimizer client to latest version

1.20.14

=======

* api-change:``glue``: Update glue client to latest version
* api-change:``redshift-data``: Update redshift-data client to latest version
* api-change:``s3control``: Update s3control client to latest version
* api-change:``autoscaling``: Update autoscaling client to latest version
* api-change:``pinpoint``: Update pinpoint client to latest version
* api-change:``quicksight``: Update quicksight client to latest version
* api-change:``iotevents``: Update iotevents client to latest version
* api-change:``connect``: Update connect client to latest version

1.20.13

=======

* api-change:``sagemaker-runtime``: Update sagemaker-runtime client to latest version
* api-change:``sagemaker``: Update sagemaker client to latest version

1.20.12

=======

* api-change:``rds``: Update rds client to latest version

1.20.11

=======

* api-change:``health``: Update health client to latest version
* api-change:``sagemaker``: Update sagemaker client to latest version
* api-change:``cloudformation``: Update cloudformation client to latest version
* api-change:``codebuild``: Update codebuild client to latest version

1.20.10

=======

* api-change:``ec2``: Update ec2 client to latest version
* api-change:``config``: Update config client to latest version
* api-change:``lookoutvision``: Update lookoutvision client to latest version

1.20.9

======

* api-change:``devops-guru``: Update devops-guru client to latest version
* api-change:``codebuild``: Update codebuild client to latest version

1.20.8

======

* api-change:``lightsail``: Update lightsail client to latest version
* api-change:``medialive``: Update medialive client to latest version
* api-change:``kinesis-video-archived-media``: Update kinesis-video-archived-media client to latest version
* api-change:``config``: Update config client to latest version
* api-change:``pinpoint``: Update pinpoint client to latest version
* api-change:``redshift-data``: Update redshift-data client to latest version
* api-change:``workmailmessageflow``: Update workmailmessageflow client to latest version
* api-change:``mediatailor``: Update mediatailor client to latest version

1.20.7

======

* api-change:``personalize-events``: Update personalize-events client to latest version
* api-change:``eks``: Update eks client to latest version
* api-change:``iam``: Update iam client to latest version
* api-change:``codepipeline``: Update codepipeline client to latest version
* api-change:``detective``: Update detective client to latest version
* api-change:``macie2``: Update macie2 client to latest version
* api-change:``wafv2``: Update wafv2 client to latest version
* api-change:``elbv2``: Update elbv2 client to latest version
* api-change:``appsync``: Update appsync client to latest version
* api-change:``rds``: Update rds client to latest version

1.20.6

======

* api-change:``databrew``: Update databrew client to latest version
* api-change:``rds``: Update rds client to latest version

1.20.5

======

* api-change:``quicksight``: Update quicksight client to latest version
* api-change:``mediaconvert``: Update mediaconvert client to latest version
* api-change:``qldb-session``: Update qldb-session client to latest version
* api-change:``sagemaker``: Update sagemaker client to latest version
* api-change:``gamelift``: Update gamelift client to latest version

1.20.4

======

* api-change:``dataexchange``: Update dataexchange client to latest version
* api-change:``cloudtrail``: Update cloudtrail client to latest version
* api-change:``elbv2``: Update elbv2 client to latest version
* api-change:``ivs``: Update ivs client to latest version
* api-change:``macie2``: Update macie2 client to latest version
* api-change:``globalaccelerator``: Update globalaccelerator client to latest version
* api-change:``iotsitewise``: Update iotsitewise client to latest version
* api-change:``elasticache``: Update elasticache client to latest version

1.20.3

======

* api-change:``macie``: Update macie client to latest version
* api-change:``elbv2``: Update elbv2 client to latest version
* api-change:``organizations``: Update organizations client to latest version

1.20.2

======

* api-change:``quicksight``: Update quicksight client to latest version
* api-change:``appflow``: Update appflow client to latest version
* api-change:``emr-containers``: Update emr-containers client to latest version
* api-change:``dlm``: Update dlm client to latest version
* api-change:``athena``: Update athena client to latest version
* api-change:``ec2``: Update ec2 client to latest version

1.20.1

======

* api-change:``lambda``: Update lambda client to latest version
* api-change:``codebuild``: Update codebuild client to latest version
* api-change:``ec2``: Update ec2 client to latest version
* api-change:``ce``: Update ce client to latest version
* api-change:``databrew``: Update databrew client to latest version
* api-change:``securityhub``: Update securityhub client to latest version
* api-change:``workmail``: Update workmail client to latest version
* api-change:``auditmanager``: Update auditmanager client to latest version
* api-change:``compute-optimizer``: Update compute-optimizer client to latest version
* api-change:``iotsitewise``: Update iotsitewise client to latest version

1.20.0

======

* api-change:``appmesh``: Update appmesh client to latest version
* api-change:``application-autoscaling``: Update application-autoscaling client to latest version
* api-change:``lookoutvision``: Update lookoutvision client to latest version
* api-change:``organizations``: Update organizations client to latest version
* feature:Python: Dropped support for Python 3.4 and 3.5
* api-change:``s3control``: Update s3control client to latest version
* api-change:``rds-data``: Update rds-data client to latest version
* api-change:``medialive``: Update medialive client to latest version
* api-change:``route53``: Update route53 client to latest version
* api-change:``location``: Update location client to latest version
* enhancement:s3: Amazon S3 now supports AWS PrivateLink, providing direct access to S3 via a private endpoint within your virtual private network.
* api-change:``iotwireless``: Update iotwireless client to latest version
Links

Update chardet from 3.0.4 to 4.0.0.

Changelog

4.0.0

Benchmarking chardet 4.0.0 on CPython 3.7.5 (default, Sep  8 2020, 12:19:42)
[Clang 11.0.3 (clang-1103.0.32.62)]
--------------------------------------------------------------------------------
.......................................................................................................................................................................................................................................................................................................................................................................
Calls per second for each encoding:
Links

Update idna from 2.10 to 3.1.

Changelog

3.1

++++++++++++++++

- Ensure license is included in package (Thanks, Julien Schueller)
- No longer mark wheel has universal (Thanks, Matthieu Darbois)
- Test on PowerPC using Travis CI

3.0

++++++++++++++++

- Python 2 is no longer supported (the 2.x branch supports Python 2,
use "idna<3" in your requirements file if you need Python 2 support)
- Support for V2 UTS 46 test vectors.
Links

Update pproxy from 2.5.6 to 2.7.6.

The bot wasn't able to find a changelog for this release. Got an idea?

Links

Update pynamodb from 5.0.0 to 5.0.3.

Changelog

5.0.2

It is more efficient not to serialize attributes you don't need, and it also avoids tripping null-checks on unrelated attributes when doing updates or deletes.
Links

Update sentry-sdk from 0.19.5 to 0.20.3.

The bot wasn't able to find a changelog for this release. Got an idea?

Links

* Update aiohttp from 3.7.3 to 3.7.4
* Update botocore from 1.19.63 to 1.20.17
* Update idna from 2.10 to 3.1
* Update pproxy from 2.5.6 to 2.7.6
* Update pynamodb from 5.0.0 to 5.0.3
* Update sentry-sdk from 0.19.5 to 0.20.3
@TrueBrain TrueBrain force-pushed the pyup-scheduled-update-2021-03-01 branch from 0eb15b4 to 8e92730 Compare Mar 3, 2021
@TrueBrain TrueBrain merged commit 645efaa into master Mar 3, 2021
7 checks passed
@TrueBrain TrueBrain deleted the pyup-scheduled-update-2021-03-01 branch Mar 3, 2021
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

2 participants